Skip to main content
GET
/
api
/
v1
/
refinements
/
{refinement_id}
/
knowledge
/
{knowledge_id}
Get Refinement Knowledge
curl --request GET \
  --url https://api.example.com/api/v1/refinements/{refinement_id}/knowledge/{knowledge_id} \
  --header 'Authorization: Bearer <token>'
{
  "content": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "description": "<string>",
  "id": "<string>",
  "mime_type": "<string>",
  "refinement_id": "<string>",
  "title": "<string>",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

refinement_id
string
required
knowledge_id
string
required

Response

Successful Response

Full refinement knowledge base item response.

content
string
required
created_at
string<date-time>
required
created_by
string
required
description
string | null
required
id
string
required
mime_type
string
required
refinement_id
string
required
title
string
required
updated_at
string<date-time>
required
Last modified on May 8, 2026